#
# spec file for package dhcp-tools (Version 1.6)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           dhcp-tools
URL:            http://www.mavetju.org/unix/general.php
%define DUMP dhcpdump-1.6
%define PING dhcping-1.2
License:        BSD
Group:          Productivity/Networking/Boot/Utilities
Autoreqprov:    on
Version:        1.6
Release:        43.2
Summary:        DHCP Tools
Source:         dhcpdump-1.6.tar.gz
Source1:        dhcping-1.2.tar.gz
Patch1:         dhcpdump-1.6-tcpdump-3.8.1.dif
Patch2:         dhcpdump-1.6-tcpdump-3.8.2.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Two utilities, written by Edwin Groothuis, to test and debug DHCP:

dhcpdump This parses tcpdump output to display the dhcp-packets for
easier checking and debugging.

dhcping This allows the system administrator to check if a remote DHCP
server is still functioning.

Home page: http://www.mavetju.org



Authors:
--------
    Edwin Groothuis <edwin@mavetju.org>

%debug_package
%prep
%setup -c -n %{name}
%setup -n %{name} -T -D -a 1
%if %suse_version > 900
%patch1
%endif
%if %suse_version > 910
pushd dhcpdump*
%patch2 -p1
popd
%endif

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
for i in %{DUMP} %{PING}; do
	pushd $i
	aclocal
	autoconf
	touch NEWS README AUTHORS ChangeLog
	automake --add-missing
	%{configure}
	%{__make}
	touch *.pod
	make *.pod
	popd
done

%install
make -C %{DUMP} DESTDIR=$RPM_BUILD_ROOT install
make -C %{PING} DESTDIR=$RPM_BUILD_ROOT install
mkdir dhcpdump dhcping
cp -p %{DUMP}/{CHANGES,CONTACT,FILES,dhcp_options.h,LICENSE} dhcpdump/
cp -p %{PING}/{CHANGES,CONTACT,FILES,LICENSE} dhcping/

%clean
if ! test -f /.buildenv; then rm -rf $RPM_BUILD_ROOT; fi

%files
%defattr(-,root,root)
%doc dhcpdump
%doc dhcping
/usr/bin/dhcpdump
/usr/bin/dhcping
%{_mandir}/man1/dhcpdump.1.gz
%{_mandir}/man8/dhcping.8.gz

%changelog -n dhcp-tools
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Oct 05 2005 - dmueller@suse.de
- add norootforbuild
* Fri Sep 10 2004 - poeml@suse.de
- fix parsing of IP header and data packages for output of
  tcpdump-3.8.[23] [#44946], and apply the fix on 9.2 or newer
- apply previous patch on 9.1 or newer
* Mon May 10 2004 - poeml@suse.de
- fix parsing of IP header for output of tcpdump-3.8.1 [#38528]
* Wed Mar 03 2004 - poeml@suse.de
- update dhcpdump to 1.5
- Option 82, submitted by Phil Pennock <pdp@nl.demon.net>
- Add fflush(), submitted by Gary Colman <gary@colmans.net>
- Fix problem with padding, they were not handled properly
  and caused old memory to be reused.
- compile with -fno-strict-aliasing
* Thu Jul 24 2003 - poeml@suse.de
- update dhcpdump to 1.5. Rephrased changelog:
- better input checking regarding validity of the header of the UDP packet
- Added some DHCP options from the INIA website (not all are parsed yet)
- added chaddr filter, contributed by Peter Apian-Bennewitz
- client-identifier is now printed as long as it is.
- autoconfiscated
- update dhcping to 1.2 (no significant changes)
- install CHANGES and other accompanying files
- use %%defattr
- re-create man pages
* Fri Aug 24 2001 - poeml@suse.de
- update dhcpdump to 1.2 and dhcping to 1.1
* Wed Mar 21 2001 - poeml@suse.de
- new package
